### Property

# Gimp Curve:curve-type

since: 3.2

#### Declaration

    property curve-type: Gimp.CurveType [ read, write, construct ]

#### Description [src]

The curve type.

Type:`GimpCurveType`

Available since: 3.2

Default value | GIMP_CURVE_SMOOTH
Getter method | `gimp_curve_get_curve_type()`
Setter method | `gimp_curve_set_curve_type()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no